> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# projstatus

> GenericMDOProvider reads MDO lists with default settings

## "projstatus" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'projstatus'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/projstatus
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("projstatus", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name             | StyleHint | ExtraInfo |
| -- | ---------------- | --------- | --------- |
| 3  | Avsluttet        |           |           |
| 7  | Completion       |           |           |
| 6  | Implementation   |           |           |
| 1  | Planlagt         |           |           |
| 5  | Project planning |           |           |
| 4  | Stoppet          |           |           |
| 2  | Under arbeid     |           |           |

## Related MDO Lists

* "projstatusheadings"
* "projstatusheadingswithallitem"
* "projstatusheadingswithallitemwithnoselection"
* "projstatusheadingswithnoselection"
* "projstatuswithallitem"
* "projstatuswithallitemwithnoselection"
* "projstatuswithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.UserPreferenceStrings.MDOList](/en/api/reference/webapi/SuperOffice.WebApi.Data.UserPreferenceStrings.MDOList.md)
- [ProjStatus table](/en/database/tables/projstatus.md)
- [ProjStatusHeadingLink table](/en/database/tables/projstatusheadinglink.md)
- [ProjStatusGroupLink table](/en/database/tables/projstatusgrouplink.md)
- [SuperOffice.WebApi.Data.ProjectTypeStatusLink](/en/api/reference/webapi/SuperOffice.WebApi.Data.ProjectTypeStatusLink.md)
- [ProjectTypeStatusLink table](/en/database/tables/projecttypestatuslink.md)
